# coding=utf-8

from PIL import Image
import os
from os import walk


# imagePath = "d:/images/close.png"  # 读入文件名称
# outputPath = "d:/images/close.webp"  # 输出文件名称
# im = Image.open(imagePath)  # 读入文件
# im.size  # 可查看图片大小
# im.thumbnail((128, 128), Image.ANTIALIAS)  # 重新设置图片大小
# im.save(outputPath)  # 保存


def pic_webp(picpath):
    imagePath = picpath[0:picpath.rfind(".")]  # 文件名称
    outputPath = imagePath + ".webp"  # 输出文件名称
    # if os.path.exists(outputPath):
    #     print('文件已经存在')
    # else:
    im = Image.open(picpath)  # 读入文件
    im.thumbnail((64, 64), Image.ANTIALIAS)
    im.save(outputPath)  # 保存


def doDir(imgDir):
    for (dirpath, dirname, dirfiles) in os.walk(imgDir):
        print(dirpath, '--', dirname, '--', dirfiles)
        for dirfile in dirfiles:
            if dirfile[dirfile.rfind(".") + 1:] in ["webp","png", "jpeg", "jpg"]:
                print("dirfile=", dirfile)
                pic_webp(dirpath + "/" + dirfile)
            else:
                print("不处理")
        # if os.path.isdir(dirpath):
        #     print("它是一个目录，需要继续执行")
        #     doDir(dirpath)


import sys
doDir(sys.path[0])
#
# fname = "10.0.0.png"
#
# print(fname.split(".")[1])
# print(fname.rfind("."))
# print(fname[0:fname.rfind(".")])
# print(fname[fname.rfind(".") + 1:])

